Bug 296771 - removes running kernel in some situations.
removes running kernel in some situations.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-19 14:36 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 11:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-09-19 14:36:51 EDT
a yum update has removed the currently running kernel.

(14:34:45:root@firewall:~)# uname -r
2.6.22.5-71.fc7PAE-debug
(14:34:47:root@firewall:~)# rpm -qa | grep kernel
kernel-PAE-2.6.22.5-77.fc7
kernel-PAE-debug-2.6.22.5-76.fc7
kernel-PAE-debug-2.6.22.6-81.fc7
kernel-PAE-2.6.22.6-81.fc7
kernel-headers-2.6.22.6-81.fc7
Comment 1 Florian La Roche 2007-09-23 03:17:17 EDT
The default configuration does not have the kernel-PAE variant listed
in "installonlypkgs":

    installonlypkgs = ListOption(['kernel', 'kernel-bigmem',
            'kernel-enterprise','kernel-smp', 'kernel-modules', 'kernel-debug',
            'kernel-unsupported', 'kernel-source', 'kernel-devel'])

regards,

Florian La Roche
Comment 2 Jeremy Katz 2007-09-24 00:42:52 EDT
Except that we should be checking provides against the package names as well, so
it shouldn't matter
Comment 3 Seth Vidal 2007-10-02 10:36:25 EDT
jeremy, it's not about installonlypkgs - it's about installonlyn nuking the old
package. We need to add PAE and PAE-debug to the list of possible pkgs for
installonlyn to be careful around.

Comment 4 Seth Vidal 2007-10-02 11:10:20 EDT
okay here's what I'm going to do:
1. I added kernel-PAE and PAE-debug to the list
2. I'm going to enhance the look up for what package the running kernel comes
from a bit more

closing this one as upstream - thanks!
Comment 5 Fedora Update System 2007-10-08 11:00:30 EDT
yum-3.2.6-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'
Comment 6 Fedora Update System 2007-10-10 15:33:46 EDT
yum-3.2.6-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'

Note You need to log in before you can comment on or make changes to this bug.